(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     17624,        511]
NotebookOptionsPosition[     17756,        494]
NotebookOutlinePosition[     18221,        514]
CellTagsIndexPosition[     18178,        511]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Particle Equilibrium in 2D\n",
 StyleBox["Zhelong He, Marek-Jerzy Pindera \nUniversity of Virginia, \
2017-07-03",
  FontSize->16,
  FontColor->GrayLevel[0]]
}], "Title",
 TextAlignment->Center],

Cell[TextData[StyleBox["The movement of a dot can be described by Newton\
\[CloseCurlyQuote]s Second Law,",
 FontColor->GrayLevel[0]]], "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "n"], 
    SubscriptBox[
     OverscriptBox[
      StyleBox["F",
       FontWeight->"Bold"], "\[RightVector]"], "k"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox[" = ",
  FontColor->GrayLevel[0]],
 StyleBox["m",
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   OverscriptBox[
    StyleBox["a",
     FontWeight->"Bold"], "\[RightVector]"], TraditionalForm]]]
}], "Text",
 TextAlignment->Center],

Cell[TextData[StyleBox["In Cartesian coordinate system x-y, it can be written \
as",
 FontColor->GrayLevel[0]]], "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "1"}], "n"], 
     RowBox[{
      SubscriptBox["F", "k"], 
      SubscriptBox["cos\[Theta]", "k"], 
      OverscriptBox["i", "\[RightVector]"]}]}], "+", 
    RowBox[{
     SubscriptBox["F", "k"], 
     SubscriptBox["sin\[Theta]", "k"], 
     OverscriptBox["j", "\[RightVector]"]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox[" = ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     RowBox[{
      SubscriptBox["ma", "x"], 
      OverscriptBox["i", "\[RightVector]"]}], "+", 
     RowBox[{
      SubscriptBox["ma", "y"], 
      OverscriptBox["j", "\[RightVector]"]}]}],
    FontSlant->"Italic"], TraditionalForm]]]
}], "Text",
 TextAlignment->Center],

Cell[TextData[StyleBox["or separately as ",
 FontColor->GrayLevel[0]]], "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "n"], 
    RowBox[{
     SubscriptBox["F", "k"], 
     SubscriptBox["cos\[Theta]", "k"]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox[" = ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["ma", "x"],
    FontSlant->"Italic"], TraditionalForm]]],
 ", ",
 StyleBox[" ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "n"], 
    RowBox[{
     SubscriptBox["F", "k"], 
     SubscriptBox["sin\[Theta]", "k"]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox[" = ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["ma", "y"],
    FontSlant->"Italic"], TraditionalForm]]]
}], "Text",
 TextAlignment->Center],

Cell[TextData[{
 StyleBox["where ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "k"], TraditionalForm]]],
 StyleBox[" is the magnitude of the k-th force, ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Theta]", "k"], TraditionalForm]]],
 StyleBox[" is the angle between the direction of the k-th force and \
coordinate axis, say, x axis, m is the mass of the dot and ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "x"], ",", 
    SubscriptBox["a", "y"]}], TraditionalForm]]],
 StyleBox[" is the acceleration projection in x, y direction. \nIn the \
following example, we have three forces, ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "1"], ",", 
    SubscriptBox["F", "2"], ",", 
    SubscriptBox["F", "3"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox[". Thus we have ",
  FontColor->GrayLevel[0]]
}], "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "1"], 
    SubscriptBox["cos\[Theta]", "1"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 "+",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "2"], 
    SubscriptBox["cos\[Theta]", "2"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 "+",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "3"], 
     SubscriptBox["cos\[Theta]", "3"]}], "=", 
    StyleBox[
     SubscriptBox["ma", "x"],
     FontSlant->"Italic"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "1"], 
    SubscriptBox["sin\[Theta]", "1"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 "+",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "2"], 
    SubscriptBox["sin\[Theta]", "2"]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 "+",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "3"], 
     SubscriptBox["sin\[Theta]", "3"]}], "=", 
    StyleBox[
     SubscriptBox["ma", "y"],
     FontSlant->"Italic"]}], TraditionalForm]],
  FontColor->GrayLevel[0]]
}], "Text",
 TextAlignment->Center],

Cell[TextData[StyleBox["By setting the magnitude and direction of each \
forces, we can see the movement of the dot.\nIf forces are set properly, the \
dot can remain in static equilibrium and thus will not move. ",
 FontColor->GrayLevel[0]]], "Text"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f1$$ = 0, $CellContext`f2$$ = 
    0, $CellContext`f3$$ = 0, $CellContext`r$$ = 1, $CellContext`\[Theta]1$$ =
     0, $CellContext`\[Theta]2$$ = 0, $CellContext`\[Theta]3$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f1$$], 0, 
       Row[{
         Style[
          Subscript["F", 1], Italic, 
          RGBColor[1, 0, 0], Bold], 
         Spacer[2], 
         Style["(N)", 
          RGBColor[1, 0, 0], Bold], 
         Spacer[21.5]}]}, 0, 10}, {{
       Hold[$CellContext`\[Theta]1$$], 0, 
       Row[{
         Style[
          Subscript["\[Theta]", 1], Italic, 
          RGBColor[1, 0, 0], Bold], 
         Spacer[3], 
         Style["(\[Degree])", 
          RGBColor[1, 0, 0], Bold], 
         Spacer[23.5]}]}, 0, 360}, {{
       Hold[$CellContext`f2$$], 0, 
       Row[{
         Style[
          Subscript["F", 2], Italic, 
          RGBColor[0., 0.5, 0.], Bold], 
         Spacer[2], 
         Style["(N)", 
          RGBColor[0., 0.5, 0.], Bold], 
         Spacer[21.5]}]}, 0, 10}, {{
       Hold[$CellContext`\[Theta]2$$], 0, 
       Row[{
         Style[
          Subscript["\[Theta]", 2], Italic, 
          RGBColor[0., 0.5, 0.], Bold], 
         Spacer[3], 
         Style["(\[Degree])", 
          RGBColor[0., 0.5, 0.], Bold], 
         Spacer[23.5]}]}, 0, 360}, {{
       Hold[$CellContext`f3$$], 0, 
       Row[{
         Style[
          Subscript["F", 3], Italic, 
          RGBColor[0, 0, 1], Bold], 
         Spacer[2], 
         Style["(N)", 
          RGBColor[0, 0, 1], Bold], 
         Spacer[21.5]}]}, 0, 10}, {{
       Hold[$CellContext`\[Theta]3$$], 0, 
       Row[{
         Style[
          Subscript["\[Theta]", 3], Italic, 
          RGBColor[0, 0, 1], Bold], 
         Spacer[3], 
         Style["(\[Degree])", 
          RGBColor[0, 0, 1], Bold], 
         Spacer[23.5]}]}, 0, 360}, {{
       Hold[$CellContext`r$$], 1, 
       Row[{
         Style["Mass", Italic, Bold], 
         Spacer[3], 
         Style["(kg)", Bold]}]}, 1, 3}, {
      Hold[
       Grid[{{
          Manipulate`Place[1]}, {
          Manipulate`Place[2]}, {
          Manipulate`Place[3]}, {
          Manipulate`Place[4]}, {
          Manipulate`Place[5]}, {
          Manipulate`Place[6]}, {
          Manipulate`Place[7]}}, Alignment -> Left, 
        Spacings -> {Automatic, 1.5}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {495., {263., 272.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`f1$134442$$ = 0, $CellContext`\[Theta]1$134443$$ = 
    0, $CellContext`f2$134444$$ = 0, $CellContext`\[Theta]2$134445$$ = 
    0, $CellContext`f3$134446$$ = 0, $CellContext`\[Theta]3$134447$$ = 
    0, $CellContext`r$134448$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`f1$$ = 0, $CellContext`f2$$ = 
        0, $CellContext`f3$$ = 0, $CellContext`r$$ = 
        1, $CellContext`\[Theta]1$$ = 0, $CellContext`\[Theta]2$$ = 
        0, $CellContext`\[Theta]3$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`f1$$, $CellContext`f1$134442$$, 0], 
        Hold[$CellContext`\[Theta]1$$, $CellContext`\[Theta]1$134443$$, 0], 
        Hold[$CellContext`f2$$, $CellContext`f2$134444$$, 0], 
        Hold[$CellContext`\[Theta]2$$, $CellContext`\[Theta]2$134445$$, 0], 
        Hold[$CellContext`f3$$, $CellContext`f3$134446$$, 0], 
        Hold[$CellContext`\[Theta]3$$, $CellContext`\[Theta]3$134447$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$134448$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`px$, $CellContext`py$, $CellContext`ax$, \
$CellContext`ay$, $CellContext`dot$, $CellContext`fac$, $CellContext`t$, \
$CellContext`ts$, $CellContext`te$, $CellContext`x$, $CellContext`y$, \
$CellContext`dw$, $CellContext`an$}, $CellContext`fac$ = 2; $CellContext`ts$ = 
         0; $CellContext`te$ = 
         15; $CellContext`ax$ = ($CellContext`f1$$ 
            Cos[$CellContext`\[Theta]1$$ Degree] + $CellContext`f2$$ 
            Cos[$CellContext`\[Theta]2$$ Degree] + $CellContext`f3$$ 
            Cos[$CellContext`\[Theta]3$$ 
              Degree])/$CellContext`r$$^2; $CellContext`ay$ = \
($CellContext`f1$$ Sin[$CellContext`\[Theta]1$$ Degree] + $CellContext`f2$$ 
            Sin[$CellContext`\[Theta]2$$ Degree] + $CellContext`f3$$ 
            Sin[$CellContext`\[Theta]3$$ 
              Degree])/$CellContext`r$$^2; $CellContext`x$ = NDSolveValue[{D[
              $CellContext`px$[$CellContext`t$], {$CellContext`t$, 
               2}] == $CellContext`ax$, $CellContext`px$[0] == 0, 
            Derivative[1][$CellContext`px$][0] == 
            0}, $CellContext`px$, {$CellContext`t$, $CellContext`ts$, \
$CellContext`te$}]; $CellContext`y$ = NDSolveValue[{D[
              $CellContext`py$[$CellContext`t$], {$CellContext`t$, 
               2}] == $CellContext`ay$, $CellContext`py$[0] == 0, 
            Derivative[1][$CellContext`py$][0] == 
            0}, $CellContext`py$, {$CellContext`t$, $CellContext`ts$, \
$CellContext`te$}]; $CellContext`dw$ = Graphics[{{Black, 
             Disk[{
               $CellContext`x$[$CellContext`t$], 
               $CellContext`y$[$CellContext`t$]}, 4 $CellContext`r$$]}, {
            Thick, Red, 
             Arrow[{{
                $CellContext`x$[$CellContext`t$], 
                $CellContext`y$[$CellContext`t$]}, \
{$CellContext`x$[$CellContext`t$] + (15 $CellContext`f1$$) 
                 Cos[$CellContext`\[Theta]1$$ 
                   Degree], $CellContext`y$[$CellContext`t$] + (
                  15 $CellContext`f1$$) 
                 Sin[$CellContext`\[Theta]1$$ Degree]}}]}, {Thick, 
             Darker[Green, 0.5], 
             Arrow[{{
                $CellContext`x$[$CellContext`t$], 
                $CellContext`y$[$CellContext`t$]}, \
{$CellContext`x$[$CellContext`t$] + (15 $CellContext`f2$$) 
                 Cos[$CellContext`\[Theta]2$$ 
                   Degree], $CellContext`y$[$CellContext`t$] + (
                  15 $CellContext`f2$$) 
                 Sin[$CellContext`\[Theta]2$$ Degree]}}]}, {Thick, Blue, 
             Arrow[{{
                $CellContext`x$[$CellContext`t$], 
                $CellContext`y$[$CellContext`t$]}, \
{$CellContext`x$[$CellContext`t$] + (15 $CellContext`f3$$) 
                 Cos[$CellContext`\[Theta]3$$ 
                   Degree], $CellContext`y$[$CellContext`t$] + (
                  15 $CellContext`f3$$) 
                 Sin[$CellContext`\[Theta]3$$ Degree]}}]}, {
            Dashed, Brown, Thick, 
             Line[{{0, 0}, {
                $CellContext`x$[$CellContext`t$], 
                $CellContext`y$[$CellContext`t$]}}]}}, PlotRange -> 200, 
           ImageSize -> 280, Axes -> True, AxesStyle -> Dashed, PlotLabel -> 
           "t" == NumberForm[$CellContext`t$, {4, 2}], Frame -> 
           True]; $CellContext`an$ = Animate[
           Evaluate[
            
            ReplaceAll[$CellContext`dw$, {$CellContext`t$ -> \
$CellContext`time}]], {{$CellContext`time, $CellContext`ts$, 
             "t"}, $CellContext`ts$, $CellContext`te$}, 
           DefaultDuration -> $CellContext`te$, AnimationRunning -> 
           False]; $CellContext`an$], 
      "Specifications" :> {{{$CellContext`f1$$, 0, 
          Row[{
            Style[
             Subscript["F", 1], Italic, 
             RGBColor[1, 0, 0], Bold], 
            Spacer[2], 
            Style["(N)", 
             RGBColor[1, 0, 0], Bold], 
            Spacer[21.5]}]}, 0, 10, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 1}, {{$CellContext`\[Theta]1$$, 0, 
          Row[{
            Style[
             Subscript["\[Theta]", 1], Italic, 
             RGBColor[1, 0, 0], Bold], 
            Spacer[3], 
            Style["(\[Degree])", 
             RGBColor[1, 0, 0], Bold], 
            Spacer[23.5]}]}, 0, 360, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 2}, {{$CellContext`f2$$, 0, 
          Row[{
            Style[
             Subscript["F", 2], Italic, 
             RGBColor[0., 0.5, 0.], Bold], 
            Spacer[2], 
            Style["(N)", 
             RGBColor[0., 0.5, 0.], Bold], 
            Spacer[21.5]}]}, 0, 10, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 3}, {{$CellContext`\[Theta]2$$, 0, 
          Row[{
            Style[
             Subscript["\[Theta]", 2], Italic, 
             RGBColor[0., 0.5, 0.], Bold], 
            Spacer[3], 
            Style["(\[Degree])", 
             RGBColor[0., 0.5, 0.], Bold], 
            Spacer[23.5]}]}, 0, 360, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 4}, {{$CellContext`f3$$, 0, 
          Row[{
            Style[
             Subscript["F", 3], Italic, 
             RGBColor[0, 0, 1], Bold], 
            Spacer[2], 
            Style["(N)", 
             RGBColor[0, 0, 1], Bold], 
            Spacer[21.5]}]}, 0, 10, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 5}, {{$CellContext`\[Theta]3$$, 0, 
          Row[{
            Style[
             Subscript["\[Theta]", 3], Italic, 
             RGBColor[0, 0, 1], Bold], 
            Spacer[3], 
            Style["(\[Degree])", 
             RGBColor[0, 0, 1], Bold], 
            Spacer[23.5]}]}, 0, 360, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 6}, {{$CellContext`r$$, 1, 
          Row[{
            Style["Mass", Italic, Bold], 
            Spacer[3], 
            Style["(kg)", Bold]}]}, 1, 3, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 7}, 
        Grid[{{
           Manipulate`Place[1]}, {
           Manipulate`Place[2]}, {
           Manipulate`Place[3]}, {
           Manipulate`Place[4]}, {
           Manipulate`Place[5]}, {
           Manipulate`Place[6]}, {
           Manipulate`Place[7]}}, Alignment -> Left, 
         Spacings -> {Automatic, 1.5}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{905., {308., 317.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center]
}, Open  ]]
},
WindowSize->{1366, 685},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.5 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 212, 7, 230, "Title"],
Cell[1701, 44, 143, 2, 45, "Text"],
Cell[1847, 48, 557, 22, 54, "Text"],
Cell[2407, 72, 120, 2, 45, "Text"],
Cell[2530, 76, 826, 30, 55, "Text"],
Cell[3359, 108, 79, 1, 45, "Text"],
Cell[3441, 111, 902, 37, 48, "Text"],
Cell[4346, 150, 974, 31, 105, "Text"],
Cell[5323, 183, 1193, 51, 48, "Text"],
Cell[6519, 236, 251, 3, 74, "Text"],
Cell[6773, 241, 10967, 250, 649, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Mw07CtA5mJCF2A19ka@A7TTA *)
